<?xml version="1.0" ?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
    <!--Add custom logger-->
     <type name="Magento\Checkout\Model\ShippingInformationManagement">
        <plugin name="bloyal_save_syore_location_in_quote" type="Bloyal\ClickCollect\Plugin\Magento\Quote\Model\ShippingAddressManagement" sortOrder="1"/>
    </type>
    <type name="Bloyal\ClickCollect\Controller\StoreLocation\PickupStores">
        <arguments>
            <argument name="checkoutSession" xsi:type="object">Magento\Checkout\Model\Session\Proxy</argument>
        </arguments>
    </type>
   
</config>
